
Ryzom - Bug # 1432

Status: Assigned Priority: Urgent
Author: Botanic Category: Tools: Build Gamedata
Created: 02/24/2012 Assignee: kaetemi
Updated: 04/12/2012 Due date:
Subject: Pipeline client_patch bugs
Description

The pipeline client_patch does a few things wrong

1) does not generate ryzom_open.version

2) the generated xml includes

<_Category>
            <_Name type="STRING" value="main_cfg"/>
            <_UnpackTo type="STRING" value="./cfg/"/>
            <_IsOptional type="SINT32" value="0"/>
            <_IsIncremental type="SINT32" value="0"/>
            <_Files type="STRING" value="cfg.bnp"/>
        </_Category>
        <_Category>
            <_Name type="STRING" value="main_exedll"/>
            <_UnpackTo type="SINT32" value="./"/>
            <_IsOptional type="SINT32" value="0"/>
            <_IsIncremental type="SINT32" value="0"/>
            <_Files type="STRING" value="exedll.bnp"/>
        </_Category>
        <_Category>
            <_Name type="STRING" value="main_fonts"/>
            <_UnpackTo type="STRING" value="./data/fonts/"/>
            <_IsOptional type="SINT32" value="0"/>
            <_IsIncremental type="SINT32" value="0"/>
            <_Files type="STRING" value="fonts.bnp"/>
        </_Category>
        <_Category>
            <_Name type="STRING" value="main_packed"/>
            <_UnpackTo type="STRING" value="./data/"/>
            <_IsOptional type="SINT32" value="0"/>
            <_IsIncremental type="SINT32" value="0"/>
            <_Files type="STRING" value="packedsheets.bnp"/>
        </_Category>
        <_Category>
            <_Name type="STRING" value="user"/>
            <_UnpackTo type="STRING" value="./user/"/>
            <_IsOptional type="SINT32" value="0"/>
            <_IsIncremental type="SINT32" value="0"/>
            <_Files type="STRING" value="user.bnp"/>
        </_Category>
        <_Category>
            <_Name type="STRING" value="examples"/>
            <_UnpackTo type="STRING" value="./examples/"/>
            <_IsOptional type="SINT32" value="0"/>
            <_IsIncremental type="SINT32" value="0"/>
            <_Files type="STRING" value="examples.bnp"/>
        </_Category>

however that causes the patch to not work

History
#1 - 02/24/2012 10:27 pm - Botanic

Change 

_IsIncremental type="SINT32" value="0"/>

to

_IsIncremental type="SINT32" value="1"/>

and it works :D

however it cant patch its own exe so thats a problem...

#2 - 02/25/2012 09:08 am - kaetemi

It's not supposed to be _IsIncremental.
The pipeline should copy the .refs to the client install.
And the exe patch is caused by some issue that causes the generated .bat to move the exedll contents to ./0 instead of ./

#3 - 02/25/2012 09:39 am - Botanic

i think that it puts them in /0 because it cant write the exe/dll's it works for other files just not ones that are write protected

#4 - 03/02/2012 10:18 pm - kaetemi
- Status changed from New to Validated

The generated xml needs to be different anyways.

#5 - 04/12/2012 08:04 pm - kaetemi
- Status changed from Validated to Assigned
- Priority changed from Normal to Urgent
- Target version set to Version 0.9.0

07/09/2015 2/2


